<div class="msg-pop orderinfo">
  <div>
    <h3>Vehicle Status</h3>
  </div>
</div>
<div>
  <div class="pop--inner">
    <div class="row div-scroll">
      <div class=" col-sm-12">
        <label class="control-label">Current Status : <span *ngIf="!vehicleAddData1.vehicle_status">Active</span>
          <span *ngIf="vehicleAddData1.vehicle_status=='A'" style="color: green">Active</span>
          <span *ngIf="vehicleAddData1.vehicle_status=='D'" style="color: red">Disposed</span>
          <span *ngIf="vehicleAddData1.vehicle_status=='M'" style="color:darkkhaki">Maintainance</span>
          <span *ngIf="vehicleAddData1.vehicle_status=='AC'" style="color: orange">Accident</span>
          <span *ngIf="vehicleAddData1.vehicle_status=='Y'" style="color: grey">In Yard</span></label>
      </div>
    </div>
    <form [formGroup]="editForm" class="form-horizontal" (ngSubmit)="updateVehicleStatus();">
      <div class="row">
        <div class="col-sm-6">
          <label class="control-label">Select Vehicle status</label>
        </div>
        <div class="col-sm-6">
          <mat-select class="form-control" formControlName="status" placeholder="Select vehicle status" name="status"
            [(ngModel)]="statusinfo.status">
            <mat-option [value]="'A'">Active</mat-option>
            <mat-option [value]="'M'">Maintainance</mat-option>
            <mat-option [value]="'D'">Dispose</mat-option>
            <mat-option [value]="'AC'">Accident</mat-option>
            <mat-option [value]="'Y'">In Yard</mat-option>
          </mat-select>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-6">
          <label class="control-label">Note</label>
        </div>
        <div class="col-sm-6">
          <textarea type="text" rows="3" class="form-control" maxlength="70" placeholder="Type your note here.." [(ngModel)]="note" [ngModelOptions]="{standalone: true}"></textarea>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-12 pop-btn text-right">
          <button class="btn btn-sm btn-primary blue" type="submit">Save</button>
          <button class="btn btn-sm btn-primary red" type="button" (click)="closePop()">Cancel</button>
        </div>
      </div>
    </form>
  </div>
</div>